"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Firewall = void 0;
const common_1 = require("@nestjs/common");
const action_1 = require("./action");
const resource_1 = require("./resource");
const principal_1 = require("./principal");
function Firewall(options = {}) {
    return (0, common_1.applyDecorators)((0, action_1.Action)(options.action), (0, principal_1.Principal)(options.principal), ...(options.resource ? [(0, resource_1.Resource)(options.resource)] : []));
}
exports.Firewall = Firewall;
