import { PrincipalObject } from '../interfaces/policy';
import { PolicyStorage } from '../interfaces/policy-storage';
import { PolicyInterface } from '../interfaces/policy';
export declare class GlobalStorage implements PolicyStorage {
    policies: (string | PolicyInterface)[];
    readonly readonly: boolean;
    constructor(policies?: (string | PolicyInterface)[]);
    fetch(_principal: PrincipalObject): Promise<Array<string | PolicyInterface>>;
    fetchBySid(_sid: string, _principal: PrincipalObject): Promise<Array<string | PolicyInterface>>;
    save(_principal: PrincipalObject, rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    add(_principal: PrincipalObject, rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    purge(_principal: PrincipalObject): Promise<number>;
    saveBySid(_sid: string, _principal: PrincipalObject, _rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    private DisallowedException;
}
