import { Options } from './interfaces/module.options';
import { Action, ActionObject, Resource, ResourceObject, Principal, PrincipalObject } from './interfaces/policy';
import { Entity } from './decorators/entity';
import { PolicyManager } from './policy.manager';
export declare class IACryService extends PolicyManager {
    private readonly options;
    private firewall;
    constructor(options: Options);
    isGranted(rawAction: Action | ActionObject, rawPrincipal: Principal | PrincipalObject | Entity | object, rawResource?: Resource | ResourceObject | Entity | object, rule?: string): Promise<boolean>;
    protected setup(options: Options): void;
}
